Bug 432908 - ipa-server FHS issues
ipa-server FHS issues
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ipa (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 21:13 EST by Toshio Ernie Kuratomi
Modified: 2009-07-14 12:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:13:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Move non-user-configurable config elements into app.cfg (4.93 KB, patch)
2008-05-21 16:26 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2008-02-14 21:13:37 EST
Description of problem:
ipa-server has a config file that isn't in /etc or marked config.  So change: 

%{_usr}/share/ipa/ipa_webgui.cfg
=>
%config(noreplace) %{_sysconfdir}/ipa_webgui.cfg

And update the ipa_webgui script to point at the new config.

Looking into what's in the file, it looks like it mixes some config options
which configure the framework and some things which should be settable by the
system admin.  In TurboGears, configuration that shouldn't be user settable
(like the visit and identity frameworks) should be placed in the app.cfg file
leaving only things that it makes sense for the enduser to configure in
ipa_webgui.cfg

BTW, you also have a typo in ipa_webgui.cfg:
server.server_port = 8080
=>
server.socket_port = 8080

BTW2:
Just a nitpick:  %{_usr}/share should really be %{_datadir}.  This is so a
change to the location of "architecture independent data files" will just
require redefining %{_datadir} to the new location.

Version-Release number of selected component (if applicable):
ipa-0.99-8
Comment 1 Bug Zapper 2008-05-14 01:12:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Rob Crittenden 2008-05-21 16:26:49 EDT
Created attachment 306311 [details]
Move non-user-configurable config elements into app.cfg
Comment 3 Rob Crittenden 2008-05-22 16:33:30 EDT
master: a087818197f38a604d2d473b27753e177b576ff2
ipa-1-0: f1996f73801029629d928073f162e3da30110e28
Comment 4 Bug Zapper 2009-06-09 19:33:58 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:13:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.